import request from "@/utils/request";

// 查询故障诊断算法功能验证列表
export function listDdAlgorithm(query) {
  return request({
    url: "/test/ddAlgorithm/list",
    method: "get",
    params: query,
  });
}

// 查询故障诊断算法功能验证详细
export function getDdAlgorithm(id) {
  return request({
    url: "/test/ddAlgorithm/" + id,
    method: "get",
  });
}

// 新增故障诊断算法功能验证
export function addDdAlgorithm(data) {
  return request({
    url: "/test/ddAlgorithm",
    method: "post",
    data: data,
  });
}
export function fileCopys(data) {
  return request({
    url: "/test/ddAlgorithm/fileCopys",
    method: "post",
    data: data,
  });
}

// 修改故障诊断算法功能验证
export function updateDdAlgorithm(data) {
  return request({
    url: "/test/ddAlgorithm",
    method: "put",
    data: data,
  });
}

// 删除故障诊断算法功能验证
export function delDdAlgorithm(id) {
  return request({
    url: "/test/ddAlgorithm/" + id,
    method: "delete",
  });
}

// 验证
export function verify(data) {
  return request({
    url: "/test/ddAlgorithm/handleVerify",
    method: "put",
    data: data,
  });
}

// 故障故障诊断算法功能验证getOptions
export function getDdAlgorithmOptions() {
  return request({
    url: "/test/ddAlgorithm/getOptions",
    method: "get",
  });
}
